GDBserver

Classes | Namespaces | Functions | Variables
selftest.c File Reference
`#include "common-defs.h"`
`#include "common-exceptions.h"`
`#include "common-debug.h"`
`#include "selftest.h"`
`#include <map>`

Go to the source code of this file.

## Classes
struct | selftests::simple_selftest

## Namespaces
| selftests

## Functions
void | selftests::register_test (const std::string &name, selftest *test)
void | selftests::register_test (const std::string &name, self_test_function *function)
void | selftests::run_tests (const char *filter)
void | selftests::for_each_selftest (for_each_selftest_ftype func)

## Variables
static std::map< std::string, std::unique_ptr< selftest > > | selftests::tests